import { echo } from "@atums/echo";
import { redis } from "bun";

import { verifyRequiredVariables } from "@config";
import { serverHandler } from "@server";

async function main(): Promise<void> {
	verifyRequiredVariables();

	try {
		await redis.connect();
	} catch (error) {
		echo.error({ message: "Failed to connect to Redis:", error });
		process.exit(1);
	}

	serverHandler.initialize();
}

main().catch((error: Error) => {
	echo.error({ message: "Error initializing the server:", error });
	process.exit(1);
});
