import { resolve } from "node:path";

const routeDef: RouteDef = {
	method: "GET",
	accepts: "*/*",
	returns: "text/html",
};

async function handler(): Promise<Response> {
	const filePath = resolve("public", "index.html");
	const file = Bun.file(filePath);

	return new Response(file, {
		headers: {
			"Content-Type": "text/html",
		},
	});
}

export { handler, routeDef };
